迁移项目到 Android Studio 3.2 提示 mips64el-linux-android 异常

Android Studio 3.2 版本正式版在前段时间已经发布了,我个人是比较期待这个版本的,因为在这个版本之后,我们就可以使用官方架构组件 Android Jetpack了,Jetpack是Google为了开发者构建应用提供的一套组件、工具和架构指导。详细的更新说明请

点击查看

但是在今天把老项目使用Android Studio3.2.1版本打开的时候却构建失败了,提示异常为

找不到此架构的编译链?但是在旧版本是可以正常编译的,所以就排除了需要添加此架构支持的工具,猜测应该是gralde plugin之前的版本没有支持此架构编译的工具,所以升级为最新版

classpath 'com.android.tools.build:gradle:3.2.1'

然后重新编译,提示如下错误:

然后到官方找到此依赖,添加到dependencies下:

com.android.support:support-core-utils:28.0.0

重新构建,构建成功。

如果项目中还在使用 complie 依赖的,请全部换成最新的依赖方式:implementation

补充一下,如果是由于NDK原因导致的

例如提示 mips64el-linux-android-strip 找不到,则应该是NDK的原因,这时候就应该尝试升级NDK版本或者从这里下载支持该架构的文件即可解决。

©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页